<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

 declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

interface UserFeedbackInterface
{
    public const USER_ID = 'user_id';

    public const FEEDBACK_ID = 'feedback_id';

    public const USER_FEEDBACK_ID = 'id';

    /**
     * Get user_feedback_id
     *
     * @return string|null
     */
    public function getUserFeedbackId();

    /**
     * Set user_feedback_id
     *
     * @param string $userFeedbackId
     * @return \WriteTextAI\WriteTextAI\UserFeedback\Api\Data\UserFeedbackInterface
     */
    public function setUserFeedbackId($userFeedbackId);

    /**
     * Get user_id
     *
     * @return string|null
     */
    public function getUserId();

    /**
     * Set user_id
     *
     * @param string $userId
     * @return \WriteTextAI\WriteTextAI\UserFeedback\Api\Data\UserFeedbackInterface
     */
    public function setUserId($userId);

    /**
     * Get feedback_id
     *
     * @return string|null
     */
    public function getFeedbackId();

    /**
     * Set feedback_id
     *
     * @param string $feedbackId
     * @return \WriteTextAI\WriteTextAI\UserFeedback\Api\Data\UserFeedbackInterface
     */
    public function setFeedbackId($feedbackId);
}
